/*
 * Generiert die Buttons für die externen Median View
 */
exports.createExtMediaView = function(args) {
	var height = 0.1 * args.height;
	var width = 0.25 * args.width;
	
	var view = Ti.UI.createView({
		backgroundColor:'black',
	});
	
	/*
	 * Define buttons
	 */
	var buttonPowerOff = Ti.UI.createButton({
		//title : 'Power Off',
		image:'/images/extPowerOff.png',
		width:width,
		height:height,
		id:'extPowerOff',
		style:0,
		top:10,
		left:0
	});
	
	var buttonRec = Ti.UI.createButton({
		//title : 'Rec',
		image:'/images/extRecord.png',
		width:width,
		height:height,
		id:'extRec',
		style:0,
		top:height + 20,
		left:0
	});
	
	var buttonRecStop = Ti.UI.createButton({
		//title : 'Rec Stop',
		image:'/images/extRecordStop.png',
		width:width,
		height:height,
		id:'extRecStop',
		style:0,
		top:2*height + 30,
		left:0
	});
	
	var buttonPlayProgram = Ti.UI.createButton({
		//title : 'Play Program',
		image:'/images/extPlay.png',
		width:width,
		height:height,
		id:'extPlay',
		style:0,
		top:height + 20,
		left:2*width
	});
	
	var buttonStopProgram = Ti.UI.createButton({
		//title : 'Stop Program',
		image:'/images/extStop.png',
		width:width,
		height:height,
		id:'extStop',
		style:0,
		top:2*height + 30,
		left:2*width
	});
	
	var buttonPauseProgram= Ti.UI.createButton({
		//title : 'Pause Program',
		image:'/images/extPause.png',
		width:width,
		height:height,
		id:'extPause',
		style:0,
		top:10,
		left:2*width
	});
	
	var buttonReverse = Ti.UI.createButton({
		//title : 'Reverse',
		image:'/images/extReverse.png',
		width:width,
		height:height,
		id:'extReverse',
		style:0,
		top:height + 20,
		left:width
	});
	
	var buttonForward = Ti.UI.createButton({
		//title : 'Forward',
		image:'/images/extForward.png',
		width:width,
		height:height,
		id:'extForward',
		style:0,
		top:height + 20,
		left:3*width
	});
	
	var buttonStepBack = Ti.UI.createButton({
		//title : 'Step Back',
		image:'/images/extStepBack.png',
		width:width,
		height:height,
		id:'extStepBack',
		style:0,
		top:10,
		left:width
	});
	
	var buttonStepForward = Ti.UI.createButton({
		//title : 'Step Forward',
		image:'/images/extStepForward.png',
		width:width,
		height:height,
		id:'extStepForward',
		style:0,
		top:10,
		left:3*width
	});
		
	var buttonFastForward = Ti.UI.createButton({
		//title : 'Fast Forward',
		image:'/images/extFastForward.png',
		width:width,
		height:height,
		id:'extFastForward',
		style:0,
		top:2*height + 30,
		left:3*width
	});
	
	var buttonFastReverse = Ti.UI.createButton({
		//title : 'Fast Reverse',
		image:'/images/extFastReverse.png',
		width:width,
		height:height,
		id:'extFastRev',
		style:0,
		top:2*height + 30,
		left:width
	});
	
	buttonPauseProgram.addEventListener('click',handleClick);
	buttonPlayProgram.addEventListener('click',handleClick);
	buttonStopProgram.addEventListener('click',handleClick);
	buttonRec.addEventListener('click',handleClick);
	buttonRecStop.addEventListener('click',handleClick);
	buttonReverse.addEventListener('click',handleClick);
	buttonForward.addEventListener('click',handleClick);
	buttonFastReverse.addEventListener('click',handleClick);
	buttonFastForward.addEventListener('click',handleClick);	
	buttonStepBack.addEventListener('click',handleClick);
	buttonStepForward.addEventListener('click',handleClick);
	buttonPowerOff.addEventListener('click',handleClick);
	
	
	view.add(buttonPowerOff);
	view.add(buttonStepBack);
	view.add(buttonPauseProgram);
	view.add(buttonStepForward);
	
	view.add(buttonRec);
	view.add(buttonReverse);
	view.add(buttonPlayProgram);
	view.add(buttonForward);
		
	view.add(buttonRecStop);
	view.add(buttonFastReverse);
	view.add(buttonStopProgram);
	view.add(buttonFastForward);
	
	return view;
}

function handleClick(e){
	Ti.App.fireEvent('sendMessage',{id:e.source.id});
}
