/*
 * Generiert das Hilfe Fenster
 */
exports.createHelpView = function(args){
	
	var fontSize = Ti.App.Properties.getInt('fontSizePerm');
	
	var view = Ti.UI.createScrollView({
		backgroundColor:'black',
		top:0,
		left:0,
		height:args.height,
		width:args.width,
		contentHeight:'auto',
		contentWidth:'auto',
		layout:'vertical',
		showVerticalScrollIndicator:true
	});
	
	var helpLabel = Ti.UI.createLabel({
		text:L("helpText"),
		width:'100%',
		height:'auto',
		color:'white',
		font : {
			fontSize : fontSize
		}
	});
	
	helpLabel.addEventListener('singletap', function(){
		Ti.App.fireEvent('closeHelpWindow');
	});
	
	
	var okButton = Ti.UI.createButton({
		title:'OK',
		width:150,
		height:50
		//style:0
	});
	
	okButton.addEventListener('click', function(e){
		Ti.App.fireEvent('closeHelpWindow', {});
	});
	
	view.add(helpLabel);
	//view.add(okButton);
	return view;
}