var visible = false;
var view;
var slideValue;
var connectionLabel;
var isConnected = false;
var slideLabel;
var slide_in;
var slide_out;
var isNordicCountry = false;
/*
 * Generiert die SlideDownView
 */
exports.createSlideDownView = function(args) {
	var height = 360;
	var labelHeight = args.height;
	var buttonSize = (height - labelHeight) / 5;
	var width = 0.25 * args.width;
	var fontSize = Ti.App.Properties.getInt('fontSizeSlideDown');
	slideValue = -height + labelHeight - 2;
	
	slide_in = Ti.UI.createAnimation({
		top : 0,
		duration : 1000
	});
	slide_out = Ti.UI.createAnimation({
		top : slideValue,
		duration : 1000
	});
		
	slideLabel = Ti.UI.createLabel({
		text : 'down',
		textAlign : 'center',
		//bottom : height,
		height : labelHeight,
		width : 2 * width,
		left : 2 * width,
		top : 5 * buttonSize,
		font : {
			fontSize : fontSize
		}
	});
	connectionLabel = Ti.UI.createLabel({
		text : 'Not Connected',
		backgroundColor : 'red',
		textAlign : 'left',
		top : 5 * buttonSize,
		height : labelHeight,
		width : 2 * width,
		left : 0,
		font : {
			fontSize : fontSize
		}
	});

	var buttonPower = Ti.UI.createButton({
		title : 'TV Power',
		backgroundImage : '/images/buttonSmall.png',
		height : buttonSize,
		width : width,
		id : 'tvPower',
		color : 'white',
		style : 0,
		top : 0,
		left : 0,
		font : {
			fontSize : fontSize
		}
	});

	var buttonATV = Ti.UI.createButton({
		title : 'ATV',
		backgroundImage : '/images/buttonSmall.png',
		height : buttonSize,
		width : width,
		id : 'atv',
		color : 'white',
		style : 0,
		top : buttonSize,
		left : 0,
		font : {
			fontSize : fontSize
		}
	});

	var buttonDTV = Ti.UI.createButton({
		title : 'DTV',
		backgroundImage : '/images/buttonSmall.png',
		height : buttonSize,
		width : width,
		id : 'dtv',
		color : 'white',
		style : 0,
		top : buttonSize,
		left : width,
		font : {
			fontSize : fontSize
		}
	});

	var buttonSAT = Ti.UI.createButton({
		title : 'SAT',
		backgroundImage : '/images/buttonSmall.png',
		height : buttonSize,
		width : width,
		id : 'sat',
		color : 'white',
		style : 0,
		top : buttonSize,
		left : 2 * width,
		font : {
			fontSize : fontSize
		}
	});

	var buttonRadio = Ti.UI.createButton({
		title : 'Radio',
		backgroundImage : '/images/buttonSmall.png',
		height : buttonSize,
		width : width,
		id : 'tvOn',
		color : 'white',
		style : 0,
		top : buttonSize,
		left : 3 * width,
		font : {
			fontSize : fontSize
		}
	});

	var buttonControl = Ti.UI.createButton({
		title : 'Control',
		backgroundImage : '/images/buttonSmall.png',
		height : buttonSize,
		width : width,
		id : 'control',
		color : 'white',
		style : 0,
		top : 0,
		left : width,
		font : {
			fontSize : fontSize
		}
	});

	var buttonDisplayInfo = Ti.UI.createButton({
		title : 'Display Info',
		backgroundImage : '/images/buttonSmall.png',
		height : buttonSize,
		width : width,
		id : 'displayInfo',
		color : 'white',
		style : 0,
		top : 0,
		left : 2 * width,
		font : {
			fontSize : fontSize
		}
	});

	var buttonPInfo = Ti.UI.createButton({
		title : 'P. Info',
		backgroundImage : '/images/buttonSmall.png',
		height : buttonSize,
		width : width,
		id : 'pInfo',
		color : 'white',
		style : 0,
		top : 0,
		left : 3 * width,
		font : {
			fontSize : fontSize
		}
	});

	var buttonAudioMode = Ti.UI.createButton({
		title : 'Audio mode',
		backgroundImage : '/images/buttonSmall.png',
		height : buttonSize,
		width : width,
		id : 'audioMode',
		color : 'white',
		style : 0,
		top : 2 * buttonSize,
		left : 0,
		font : {
			fontSize : fontSize
		}
	});

	var buttonVideoMode = Ti.UI.createButton({
		title : 'Video mode',
		backgroundImage : '/images/buttonSmall.png',
		height : buttonSize,
		width : width,
		id : 'videoMode',
		color : 'white',
		style : 0,
		top : 2 * buttonSize,
		left : width,
		font : {
			fontSize : fontSize
		}
	});

	var buttonECO = Ti.UI.createButton({
		title : 'ECO',
		backgroundImage : '/images/buttonSmall.png',
		height : buttonSize,
		width : width,
		id : 'eco',
		color : 'white',
		style : 0,
		top : 2 * buttonSize,
		left : 3 * width,
		font : {
			fontSize : fontSize
		}
	});

	var buttonAVMode = Ti.UI.createButton({
		title : 'AV Mode',
		backgroundImage : '/images/buttonSmall.png',
		height : buttonSize,
		width : width,
		id : 'avMode',
		color : 'white',
		style : 0,
		top : 2 * buttonSize,
		left : 2 * width,
		font : {
			fontSize : fontSize
		}
	});

	var buttonSubtitle = Ti.UI.createButton({
		title : 'Subtitle',
		backgroundImage : '/images/buttonSmall.png',
		height : buttonSize,
		width : width,
		id : 'subtitle',
		color : 'white',
		style : 0,
		top : 3 * buttonSize,
		left : 0,
		font : {
			fontSize : fontSize
		}
	});

	var buttonHiddenTeletext = Ti.UI.createButton({
		title : 'Hidden Teletext',
		backgroundImage : '/images/buttonSmall.png',
		height : buttonSize,
		width : width,
		id : 'hiddenTeletext',
		color : 'white',
		style : 0,
		top : 3 * buttonSize,
		left : width,
		font : {
			fontSize : fontSize
		}
	});

	var buttonFreeze = Ti.UI.createButton({
		title : 'Freeze',
		backgroundImage : '/images/buttonSmall.png',
		height : buttonSize,
		width : width,
		id : 'freeze',
		color : 'white',
		style : 0,
		top : 3 * buttonSize,
		left : 2 * width,
		font : {
			fontSize : fontSize
		}
	});

	var buttonSubpage = Ti.UI.createButton({
		title : 'Subpage',
		backgroundImage : '/images/buttonSmall.png',
		height : buttonSize,
		width : width,
		id : 'subpage',
		color : 'white',
		style : 0,
		top : 3 * buttonSize,
		left : 3 * width,
		font : {
			fontSize : fontSize
		}
	});

	var buttonTeletext = Ti.UI.createButton({
		title : 'Teletext',
		backgroundImage : '/images/buttonSmall.png',
		height : buttonSize,
		width : width,
		left : 0.385 * args.width,
		top : 4 * buttonSize,
		id : 'teletext',
		color : 'white',
		style : 0,
		font : {
			fontSize : fontSize
		}
	});

	buttonPower.addEventListener('click', handleClick);
	buttonATV.addEventListener('click', handleClick);
	buttonDTV.addEventListener('click', handleClick);
	buttonSAT.addEventListener('click', handleClick);
	buttonRadio.addEventListener('click', handleClick);
	buttonControl.addEventListener('click', handleClick);
	buttonDisplayInfo.addEventListener('click', handleClick);
	buttonPInfo.addEventListener('click', handleClick);
	buttonAudioMode.addEventListener('click', handleClick);
	buttonVideoMode.addEventListener('click', handleClick);
	buttonVideoMode.addEventListener('longpress', handleLongPress);
	buttonAVMode.addEventListener('click', handleClick);
	buttonAVMode.addEventListener('longpress', handleLongPress);
	buttonECO.addEventListener('click', handleClick);
	buttonSubtitle.addEventListener('click', handleClick);
	buttonHiddenTeletext.addEventListener('click', handleClick);
	buttonFreeze.addEventListener('click', handleClick);
	buttonSubpage.addEventListener('click', handleClick);
	buttonTeletext.addEventListener('click', handleClick);

	slideLabel.addEventListener('click', clickEvent);
	connectionLabel.addEventListener('click', connect);
	view = Ti.UI.createView({
		backgroundColor : '#5A5A5A',
		height : height,
		top : slideValue
	});

	view.add(buttonPower);
	view.add(buttonControl);
	view.add(buttonDisplayInfo);
	view.add(buttonPInfo);

	view.add(buttonATV);
	view.add(buttonDTV);
	view.add(buttonSAT);
	view.add(buttonRadio);

	view.add(buttonAudioMode);
	view.add(buttonVideoMode);
	view.add(buttonAVMode);
	view.add(buttonECO);

	view.add(buttonSubtitle);
	view.add(buttonHiddenTeletext);
	view.add(buttonFreeze);
	view.add(buttonSubpage);

	view.add(buttonTeletext);

	view.add(connectionLabel);
	view.add(slideLabel);

	Ti.App.addEventListener('changeConnectionState', changeConnectionState);

	return view;
}
function handleClick(e) {
	if (e.source.id == 'atv'){
		Ti.App.fireEvent('changeMaxNumber', {'maxNumber':2});
		clickEvent();
	}
	else if (e.source.id == 'dtv'){	
		if (isNordicCountry)
			Ti.App.fireEvent('changeMaxNumber', {'maxNumber':4});
		else
			Ti.App.fireEvent('changeMaxNumber', {'maxNumber':3});
		clickEvent();
	}
	else if (e.source.id == 'sat'){
		Ti.App.fireEvent('changeMaxNumber', {'maxNumber':4});
		clickEvent();
	}
	
	Ti.App.fireEvent('sendMessage', {
		id : e.source.id
	});
}

/*
 * Verarbeitung des längeren Drücken für AV Mode Button und Video Mode Button
 */
function handleLongPress(e) {
	if(e.source.id == 'avMode')
		require('ui/optionDialogs').showAVModeOptions();
	else if(e.source.id == 'videoMode')
		require('ui/optionDialogs').showVideoModeOptions();
}

/*
 * Startet die Animation, wenn der Nutzer auf das down Label drückt
 */
function clickEvent(e) {
	

	if(visible) {
		view.animate(slide_out);
		visible = false;
		slideLabel.text = 'Down';
	} else {
		view.animate(slide_in);
		visible = true;
		slideLabel.text = 'Up';
	}
}

function connect(e) {
	if(!isConnected)
		Ti.App.fireEvent('reconnect', {});
}

/*
 * Zeigt an, ob die App mit dem Fernseher verbunden ist
 */
function changeConnectionState(e) {
	if(e.state == true) {
		connectionLabel.text = 'Connected';
		connectionLabel.backgroundColor = 'green';
	} else {
		connectionLabel.text = 'Not Connected (retry)';
		connectionLabel.backgroundColor = 'red';
	}
	isConnected = e.state;
}