var deviceName;
var modelName;
var softwareVer;
var ipVer;

exports.createDeviceInfoView = function(args) {
	var view = Ti.UI.createTableView({
		layout : 'vertical',
		backgroundColor : 'black',
		separatorStyle : 'transparent'
	});

	var deviceNameLabel = Ti.UI.createLabel({
		text : L('deviceName') + ':',
		left : 0,
		top:0,
		width : '50%'
	});
	deviceName = Ti.UI.createLabel({
		width : '50%',
		left : '50%'
	});
	var row1 = Ti.UI.createTableViewRow({
		//title:L('deviceName'),
		//layout:'horizontal',
		backgroundColor : 'white',
		selectionStyle : Ti.UI.iPhone.TableViewCellSelectionStyle.NONE
	});
	row1.add(deviceNameLabel);
	row1.add(deviceName);

	var modelNameLabel = Ti.UI.createLabel({
		text : L('modelName') + ':',
		left : 0,
		top:0,
		width : '50%'
	});
	modelName = Ti.UI.createLabel({
		width : '50%',
		left : '50%'
	});
	var row2 = Ti.UI.createTableViewRow({
		backgroundColor : 'white',
		selectionStyle : Ti.UI.iPhone.TableViewCellSelectionStyle.NONE
	});
	row2.add(modelNameLabel);
	row2.add(modelName);


	var softwareVerLabel = Ti.UI.createLabel({
		text : L('softwareVer') + ':',
		left : 0,
		top:0,
		width : '50%'
	});
	softwareVer = Ti.UI.createLabel({
		width : '50%',
		left : '50%'
	});
	var row3 = Ti.UI.createTableViewRow({
		backgroundColor : 'white',
		selectionStyle : Ti.UI.iPhone.TableViewCellSelectionStyle.NONE
	});
	row3.add(softwareVerLabel);
	row3.add(softwareVer);
	
	
	var ipVerLabel = Ti.UI.createLabel({
		text : L('ipVer') + ':',
		left : 0,
		top:0,
		width : '50%'
	});
	ipVer = Ti.UI.createLabel({
		width : '50%',
		left : '50%'
	});
	var row4 = Ti.UI.createTableViewRow({
		backgroundColor : 'white',
		selectionStyle : Ti.UI.iPhone.TableViewCellSelectionStyle.NONE
	});
	row4.add(ipVerLabel);
	row4.add(ipVer);

	
	var okButton = Ti.UI.createButton({
		title : 'OK',
		width : 150
	});
	okButton.addEventListener('click', closeWindow);
	var row5 = Ti.UI.createTableViewRow();
	row5.add(okButton);

	view.appendRow(row1);
	view.appendRow(row2);
	view.appendRow(row3);
	view.appendRow(row4);
	view.appendRow(row5);

	Ti.App.addEventListener('insertDeviceInfo', insertDeviceInfo);
	Ti.App.fireEvent('getDeviceInfo', {});

	return view;
}
function insertDeviceInfo(args) {
	var deviceNameText = args.deviceName;
	var modelNameText = args.modelName;
	var softwareVerText = args.softwareVer;
	var ipVerText = args.ipVer;

	deviceName.text = deviceNameText;
	modelName.text = modelNameText;
	softwareVer.text = softwareVerText;
	if (ipVerText.search('ERR') != -1)
		ipVerText = '(n/a)';
	
	ipVer.text = ipVerText;
}

function closeWindow() {
	Ti.App.fireEvent('closeDeviceInfoWindow', {});
}